Subject: Re: bug#870: Missing ^J in ChangeLog

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Wed, 22 Oct 2008 22:15:24 +0200

Eli Zaretskii wrote:
>> Date: Wed, 22 Oct 2008 17:14:27 +0200
>> From: "Juanma Barranquero" <[email-masked]>
>>
>> I'm puzzled. I'd think CVSNT was screwing with CRLF, but after 5) the
>> ChangeLog was fine, or I would have seen it at 6).
> 
> I suspect that we have a more fundamental problem somewhere in
> insert-file-contents or its subroutines.  Did you see that in the
> Index nodes of Info manuals some lines end with TWO ^M characters,
> whereas the file has only one?  Maybe the same problem is at work
> here, who knows?

Due to the problem with ^M in w32 info files this is very visible ;-)

How is those lines build (where is the code that builds them)?